SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003551SOGoWeb Preferencespublic2016-02-28 14:232018-07-06 10:29
Reportersoletan 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0.1 
Target VersionFixed in Version3.2.0 
Summary0003551: Changing Sender Mail Address in Web Preferences Is Never Applied
DescriptionIn difference to 0000768 and other tickets considered duplicate of 0000768 I'm facing issues with changing sender mail address using web preferences. Obviously new web GUI isn't sending back changed sender mail address to server. Thus the change seems to be persistent while keeping Web GUI in preferences mode. But after switching to Mail view and back to Preferences view the change of sender mail address is lost.

This setting is enabled:

SOGoMailCustomFromEnabled = YES;

Using Network Monitor of Firebug there is no network traffic after saving changed mail address, therefore it looks like GUI isn't syncing back changed address to server.
Steps To Reproduce1. Log into Web GUI.
2. Open user's preferences.
3. Choose E-Mail settings.
4. Choose IMAP Accounts tab.
5. Edit single IMAP account referring to local account.
6. Click in Sender Mail Address text field with existing value.
7. Change that value.
8. Click Save button at lower right corner.
9. Return to E-Mail mode.
10. repeat 0000002 - 0000005 above
Additional InformationLogs on server on opening Prefs:

Feb 28 20:08:40 sogod [11186]: 91.9.113.217 "GET /SOGo/so/esoletan/Preferences HTTP/1.0" 200 20271/0 0.027 87719 76% -628K
Feb 28 20:08:42 sogod [11186]: 91.9.113.217 "GET /SOGo/so/esoletan/Calendar/alarmslist?browserTime=1456686527 HTTP/1.0" 200 63/0 0.007 - - 0
Feb 28 20:08:42 sogod [11186]: 91.9.113.217 "GET /SOGo/so/esoletan/jsonDefaults HTTP/1.0" 200 4782/0 0.007 - - 0
Feb 28 20:08:42 sogod [11188]: 91.9.113.217 "GET /SOGo/so/esoletan/jsonSettings HTTP/1.0" 200 1246/0 0.004 - - 0
Feb 28 20:08:42 sogod [11188]: 91.9.113.217 "GET /SOGo/so/esoletan/Mail/0/view HTTP/1.0" 200 1231/0 0.428 - - 0


Logs on server on opening popup for editing IMAP account:

Feb 28 20:12:18 sogod [11188]: 91.9.113.217 "GET /SOGo/so/esoletan/editAccount?account=0 HTTP/1.0" 200 1582/0 0.005 7160 77% 0


Logs on pressing Save button in popup after having changed sender mail address:

<none>


User source configuration is:

  SOGoUserSources = (
    {
      id = "users";
      type = ldap;
      CNFieldName = cn;
      UIDFieldName = uid;
      MailFieldNames = (mail, mailPublic);
      bindFields = (uid, mailPublic);
      baseDN = "ou=people,dc=company,dc=com";
      canAuthenticate = YES;
      displayName = "Shared Addresses";
      hostname = "ldaps://ldap-local.company.com ldaps://ldap1.company.com";
      isAddressBook = NO;
      filter = "(objectClass='companyMailAccount' AND mailPublic='*')";
      userPasswordAlgorithm = "ssha512.b64";
      passwordPolicy = YES;
      bindAsCurrentUser = YES;
    }
  );

TagsNo tags attached.
Attached Filespng file icon opening-prefs.PNG [^] (138,142 bytes) 2016-02-28 14:23


png file icon on-editing-imap.PNG [^] (42,000 bytes) 2016-02-28 14:24

- Relationships Relation Graph ] Dependency Graph ]
related to 0004501resolvedfrancis Regression with https://sogo.nu/bugs/view.php?id=3551 [^

-  Notes
User avatar (0009611)
francis (administrator)
2016-02-29 11:09

If you specify an address that is already in the user's profile (addresses extracted from the MailFieldNames LDAP fields), it won't be saved.
(0009614)
soletan (reporter)
2016-02-29 18:41

I see.

But this way the whole option looks pretty useless to me. Why is it possible to change sender address if sender address must be different from any address that is set in LDAP already? I think it's eligible expectation that SMTP may reject mail that is using sender address not matching any address associated with user authenticated for sending mail over SMTP to some remote host. So it wouldn't make much sense to set some address not listed in LDAP there. However, choosing different address might be desired to use one of several "profiles" or "identities". What if underlying LDAP is controlled using some service sorting mail addresses on its own. What if there is another application working similar to SOGo in that it is always using first listed mail address for sending mails?

I realize now this is somewhat duplicating that issue mentioned before. But I'm still wondering how to use SOGo web GUI with a custom identity since there is no selection of already defined addresses, but always first address listed in LDAP ... and editing is ignored for address is listed as an additional, but still ignored mail address. What is this whole editing-sender-address-feature to be explicitly enabled per configuration about at all? ;)
(0009615)
soletan (reporter)
2016-02-29 19:13

Hm, tried changing order of mail addresses listed in LDAP. However SOGo just like all our further mail services is preferring to work with a local LDAP mirror which is applying it's very own sorting order ... I don't think this is a practical solution to option for choosing one of several identities in SOGo (to be used in EAS either).
(0009616)
soletan (reporter)
2016-02-29 19:21

Finally got replicated LDAP to use different sorting of mail addresses to provide the desired one in top position. However, sending mail per EAS from already configured clients was failing then. Looks pretty unstable ...

- Related Changesets
sogo: master b4676ce4
Timestamp: 2016-10-03 10:29:30
Author: francis
Details ] Diff ]
Allow custom email to be one of the user's profile

Fixes 0003551
mod - NEWS Diff ] File ]
mod - SoObjects/SOGo/SOGoUser.m Diff ] File ]
mod - UI/PreferencesUI/UIxPreferences.m Diff ] File ]
sogo: v2 0fc3791f
Timestamp: 2016-10-03 10:29:30
Author: francis
Details ] Diff ]
Allow custom email to be one of the user's profile

Fixes 0003551
mod - NEWS Diff ] File ]
mod - SoObjects/SOGo/SOGoUser.m Diff ] File ]
mod - UI/PreferencesUI/UIxPreferences.m Diff ] File ]
sogo: master 3eb01aef
Timestamp: 2018-07-06 10:24:40
Author: francis
Details ] Diff ]
System address is the first user's addresses

In the preferences module, we don't save the user's custom email address
when it matches the system address. This address was considered the last
of all the user's email addresses, which is first, not intuitive, and
second, incorrect when composing a message since the first address is
used by default.

Fixes 0003551
mod - SoObjects/SOGo/SOGoUser.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-28 14:23 soletan New Issue
2016-02-28 14:23 soletan File Added: opening-prefs.PNG
2016-02-28 14:24 soletan File Added: on-editing-imap.PNG
2016-02-29 11:09 francis Note Added: 0009611
2016-02-29 11:09 francis Assigned To => francis
2016-02-29 11:09 francis Status new => feedback
2016-02-29 18:41 soletan Note Added: 0009614
2016-02-29 18:41 soletan Status feedback => assigned
2016-02-29 19:13 soletan Note Added: 0009615
2016-02-29 19:21 soletan Note Added: 0009616
2016-10-03 10:30 francis Changeset attached => sogo master b4676ce4
2016-10-03 10:30 francis Resolution open => fixed
2016-10-03 10:34 francis Changeset attached => sogo v2 0fc3791f
2016-10-03 10:34 francis Status assigned => resolved
2016-10-03 10:34 francis Fixed in Version => 3.2.0
2018-07-06 10:28 francis Changeset attached => sogo master 3eb01aef
2018-07-06 10:29 francis Relationship added related to 0004501


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker